// HOMEPAGE INSTA BRANCH TEASER STYLE GUIDE
.insta-branch.teaser {
  position: relative;
  // max-width: 90%;
  margin: 160px auto;

@media screen and (max-width: 768px) {
  margin: 30px auto;
}
  .cmp-teaser {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 5% 9%;
    background-color: #00486a;
    border-radius: 20px;

    &::before {
      content: "";
      background: url(https://dev.hdfc.com/themes/custom/hdfc/images/half_circle_1.png);
      background-repeat: no-repeat;
      background-size: contain;
      position: absolute;
      top: 0;
      left: 25px;
      height: 100%;
      width: 100%;
      pointer-events: none;
    }
  
    &::after {
      content: "";
      background: url(https://dev.hdfc.com/themes/custom/hdfc/images/half_circle_2.png);
      background-repeat: no-repeat;
      background-size: contain;
      background-position: 100% 50%;
      position: absolute;
      top: 0;
      right: 25px;
      height: 100%;
      width: 100%;
      pointer-events: none;
    }

    .cmp-teaser__image {
      position: absolute;
      right: 30%;
      bottom: -70px;
      z-index: 10;
    }

    .cmp-teaser__content {
      display: flex;
      flex-direction: column;
      width: 100%;

      .cmp-teaser__pretitle {
        color: #fff;
        padding: 8px 0px;
        font-size: 30px;
        font-weight: bold;
        font-stretch: normal;
        font-style: normal;
        letter-spacing: normal;
        line-height: 1.15;
        margin-bottom: 15px;
        max-width: 43%;
      }

      .cmp-teaser__description {
        max-width: 43%;

        p {
          font-size: 16px;
          font-weight: normal;
          font-stretch: normal;
          font-style: normal;
          line-height: 1.5;
          letter-spacing: normal;
          text-align: left;
          color: #fff;
        }
      }
      
      .cmp-teaser__action-container {
        position: absolute;
        height: fit-content;
        top: 0;
        bottom: 0;
        right: 10%;
        margin: auto;
        max-width: 225px;

        .cmp-teaser__action-link {
          font-size: 15px;
          display: block;
          text-decoration: none;
          color: #fff;
          padding: 8px 48px 8px 58px;
          border-radius: 6px;
          background-color: #e90000;
          transition: all 0.5s linear;
          position: relative;
        }
    
        .cmp-teaser__action-link::before {
          content: "\f16d";
          display: inline-block;
          text-rendering: auto;
          font-family: 'Font Awesome 6 Free';
          font-weight: 400;
          margin-right: 9px;
          -webkit-font-smoothing: antialiased;
          position: absolute;
          top: 1px;
          left: 24px;
          font-size: 24px;
        }
        
        .cmp-teaser__action-link::after {
          content: "\f061";
          display: inline-block;
          text-rendering: auto;
          margin-left: 10px;
          font-family: 'Font Awesome 6 Free';
          font-weight: 900;
          font-size: 11px;
          -webkit-font-smoothing: antialiased;
          position: absolute;
          top: 12px;
        }
    
        .cmp-teaser__action-link:hover {
          color: #e90000;
          background: #fff;
        }
      }
    }
  }
}
@media screen and (max-width: 1366px) {
  .insta-branch.teaser {
    margin-top: 30px auto 45px;

    .cmp-teaser {

      .cmp-teaser__content {

        .cmp-teaser__pretitle {
          font-size: 30px;
        }

        .cmp-teaser__description {
          font-size: 16px;
        }

        .cmp-teaser__action-container {
          right: 5%;

          .cmp-teaser__action-link {
            font-size: 15px;
          }
        }
      }
    }
  }
}
@media screen and (max-width: 992px) {

  .insta-branch.teaser {
    // max-width: 95%;
    margin: 36px auto 48px;


    .cmp-teaser {
      padding: 40px 20px;
      padding-bottom: 85px;
      flex-direction: column-reverse;

      &::before {
        content: unset;
      }
    
      &::after {
        content: unset;
      } 

      .cmp-teaser__image {
        position: static;
        width: 175px;
      }

      .cmp-teaser__content {
        flex-direction: column;

        .cmp-teaser__pretitle {
          font-size: 30px;
          text-align: center;
          max-width: 100%;
          padding: 0;
          margin-bottom: 8px;

          @media screen and (max-width: 768px) {
            font-size: 28px;;
          }
        }
        
        .cmp-teaser__description {
          max-width: 100%;
          
          p {
            font-size: 18px;
            text-align: center;
            @media screen and (max-width: 768px) {
              font-size: 16.8px;
            }
          }
        }

        .cmp-teaser__action-container {
          position: absolute;
          top: unset;
          left: 0;
          right: 0;
          margin: 0 auto;
          width: fit-content;
          bottom: 40px;
        }
      }
    }
  }
}